Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERIA5String

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.DERIA5String

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  NetscapeRevocationURL, VerisignCzagExtension

public class DERIA5String
extends DERObject

DER IA5String object - this is an ascii string, strictly speaking we don't handle this correctly as we're taking advantage of the fact the default platform encoding is ascii... later!

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERIA5String(byte[] string)`
`DERIA5String(java.lang.String string)`

Method Summary
`static DERIA5String` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an IA5 String from a tagged object.
`static DERIA5String` | `getInstance(java.lang.Object obj)` return a IA5 string from the passed in object
`java.lang.String` | `getString()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERIA5String

    public DERIA5String(java.lang.String string)

### DERIA5String

    public DERIA5String(byte[] string)

Parameters:
  `string` - - bytes representing the string.

Method Detail

### getInstance

    public static DERIA5String getInstance(java.lang.Object obj)

  return a IA5 string from the passed in object

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERIA5String getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

  return an IA5 String from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD